Get all notes Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/note/{notableType}/{notableUuid}

Path parameters

  • notableType string Required
  • notableUuid string Required
  • notable_type string Required

    Optional parameter. The type of model to look for. Make sure it is a valid model type that can have notes. Valid types are: ['account', 'board_task', 'case', 'conversation', 'illustration'] .

  • notable_uuid string Required

    Optional parameter. The UUID of the notable model.

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [tags, mentionedAccounts,notable].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[type] string

    Note type to filter by. Valid types are [call, note, meeting, email]

  • filter[date_from] string

    Note created_at date to filter from a specific date, can be used with date_to for a range.

  • filter[date_to] string

    Note created_at date to filter to from a specific date, can be used with date_from for a range.

  • filter[contents] string

    Filter notes by a string to see if it's contents contains that string.

  • filter[path] string

    Filter notes by a string to see if the path contains that string.

  • filter[path_exact] string

    Filter notes by a string to see if the path is that string.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, type]. Negative sign to denote DESC. Defaults to 'created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • contents string
      • edited boolean
      • author_name string
      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • mentioned_accounts array[object]
        Hide mentioned_accounts attributes Show mentioned_accounts attributes object
        • item string
        • contents string
      • tags array[object]
        Hide tags attributes Show tags attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • colour string
      • type string
      • notable_type string
      • notable object
        Hide notable attributes Show notable attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • external_references array[object]
        Hide external_references attributes Show external_references attributes object
        • uuid string
        • created_at string
        • updated_at string
        • third_party string
        • reference string
GET /api/v1/note/{notableType}/{notableUuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/note/architecto/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "a2fd3c29-aaae-480f-9bda-7032632b2ce9",
        "created_at": "2026-06-09T14:10:14+01:00",
        "updated_at": "2026-06-09T14:10:14+01:00",
        "contents": "Great work",
        "edited": true,
        "author_name": "John Smith",
        "account": {
          "uuid": "db42efa7-d20b-4ded-b011-25c6138eb6a8",
          "created_at": "2026-06-09T14:10:14+01:00",
          "updated_at": "2026-06-09T14:10:14+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-09T14:10:14+01:00",
          "next_review_date": "2026-06-09T14:10:14+01:00",
          "previous_review_date": "2026-06-09T14:10:14+01:00",
          "anniversary_review_date": "2026-06-09T14:10:14+01:00",
          "terms_of_business_at": "2026-06-09T14:10:14+01:00",
          "client_agreement_at": "2026-06-09T14:10:14+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-09",
          "last_interaction_at": "2026-06-09 14:10:14",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "mentioned_accounts": [
          {
            "item": "Gareth Thompson",
            "contents": "<span data-type=\"mention\" data-account-uuid=\"e9960be9-3806-40ab-8405-705679f0844d\">@Gareth Thompson</span>"
          }
        ],
        "tags": [
          {
            "uuid": "c9e4ea35-4b3d-48b9-ba12-8ee0e0e11c10",
            "created_at": "2026-06-09T14:10:14+01:00",
            "updated_at": "2026-06-09T14:10:14+01:00",
            "name": "Mortgage",
            "slug": "mortgage",
            "colour": "#ef4582"
          }
        ],
        "type": "meeting",
        "notable_type": "client",
        "notable": {
          "uuid": "041f5b64-b3d6-418b-9e67-662a6f0456df",
          "created_at": "2026-06-09T14:10:14+01:00",
          "updated_at": "2026-06-09T14:10:14+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-09T14:10:14+01:00",
          "next_review_date": "2026-06-09T14:10:14+01:00",
          "previous_review_date": "2026-06-09T14:10:14+01:00",
          "anniversary_review_date": "2026-06-09T14:10:14+01:00",
          "terms_of_business_at": "2026-06-09T14:10:14+01:00",
          "client_agreement_at": "2026-06-09T14:10:14+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-09",
          "last_interaction_at": "2026-06-09 14:10:14",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "external_references": [
          {
            "uuid": "0d0b37c4-3845-4ed1-ade1-5dfcfd9730d3",
            "created_at": "2026-06-09T14:10:14+01:00",
            "updated_at": "2026-06-09T14:10:14+01:00",
            "third_party": "nucleus",
            "reference": "AB123456"
          }
        ]
      }
    ]
  ]
}